Discover by URL
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"url": "<string>"
}
]
}
'import requests
url = "https://api.brightdata.com/datasets/v3/scrape"
payload = { "input": [{ "url": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: [{url: '<string>'}]})
};
fetch('https://api.brightdata.com/datasets/v3/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"post_id": "7480000000000000000",
"description": "5-minute meal prep ideas #cooking #mealprep",
"create_time": "2025-03-05T12:00:00.000Z",
"share_count": 8700,
"collect_count": 15000,
"comment_count": 2300,
"play_count": 9800000,
"video_duration": 55,
"hashtags": [
"#cooking",
"#mealprep"
],
"video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
"profile_username": "quickmeals",
"profile_url": "https://www.tiktok.com/@quickmeals",
"is_verified": false
}
]
TikTok
Discover TikTok posts by URL
Use the Bright Data Web Scraper API to discover TikTok posts by URL. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
Discover by URL
Query Parameters
string
default:"gd_lu702nij2f790tmv9h"
required
The dataset ID used for this request.
Must be set to
gd_lu702nij2f790tmv9h to collect Discover by URL data.string
default:"discover_new"
Must be set to
discover_new.string
default:"url"
Must be set to
url.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
[
{
"post_id": "7480000000000000000",
"description": "5-minute meal prep ideas #cooking #mealprep",
"create_time": "2025-03-05T12:00:00.000Z",
"share_count": 8700,
"collect_count": 15000,
"comment_count": 2300,
"play_count": 9800000,
"video_duration": 55,
"hashtags": [
"#cooking",
"#mealprep"
],
"video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
"profile_username": "quickmeals",
"profile_url": "https://www.tiktok.com/@quickmeals",
"is_verified": false
}
]
Was this page helpful?
⌘I